Bug 1828983 - Rename Request: khmer-os-fonts - Khmer font family set created by Danh Hong of the Cambodian Open Institute
Summary: Rename Request: khmer-os-fonts - Khmer font family set created by Danh Hong o...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-28 17:03 UTC by Parag Nemade
Modified: 2020-10-18 11:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-18 11:03:18 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Parag Nemade 2020-04-28 17:03:41 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/pnemade/fedora-review/fedora-rawhide-x86_64/01353798-khmer-os-fonts/khmer-os-fonts.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/pnemade/fedora-review/fedora-rawhide-x86_64/01353798-khmer-os-fonts/khmer-os-fonts-5.0-30.fc33.src.rpm

Description:
The Khmer OS fonts include Khmer and Latin alphabets, and they have equivalent
sizes for Khmer and English alphabets, so that when texts mix both it is not
necessary to have different point sizes for the text in each language.

They were created by Danh Hong of the Cambodian Open Institute.


Fedora Account System Username: pnemade

Comment 1 Robert-André Mauchin 🐧 2020-06-21 20:05:07 UTC
 - I think there is a mistake here:


%fontmetapkg -n khmer-os-handwritten-fonts -s handwrittenmetasummary -d handwrittendescription -z 4,5

instead of handwrittendescription, it should be handwrittenmetadescription


Package otherwise approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License
     (v2.1 or later)". 22 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/khmer-os-fonts/review-
     khmer-os-fonts/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: khmer-os-handwritten-fonts (description)
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: khmer-os-system-fonts-5.0-30.fc33.noarch.rpm
          khmer-os-fonts-all-5.0-30.fc33.noarch.rpm
          khmer-os-muol-fonts-all-5.0-30.fc33.noarch.rpm
          khmer-os-handwritten-fonts-5.0-30.fc33.noarch.rpm
          khmer-os-fonts-5.0-30.fc33.src.rpm
khmer-os-system-fonts.noarch: W: no-documentation
khmer-os-fonts-all.noarch: W: no-documentation
khmer-os-muol-fonts-all.noarch: W: no-documentation
khmer-os-handwritten-fonts.noarch: W: unexpanded-macro %description -l C %{handwrittendescription}
khmer-os-handwritten-fonts.noarch: W: spelling-error %description -l en_US handwrittendescription -> handwritten description, handwritten-description
khmer-os-handwritten-fonts.noarch: W: description-shorter-than-summary
khmer-os-handwritten-fonts.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 2 Parag Nemade 2020-08-12 11:08:44 UTC
Thank you so much for doing this package review.

Comment 3 Gwyn Ciesla 2020-08-13 16:45:53 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/khmer-os-fonts


Note You need to log in before you can comment on or make changes to this bug.